# gosync

a simple wrapper for concurrent rsync processes written in golang

## requirements

- [rsync](https://linux.die.net/man/1/rsync)
- [sshpass](https://linux.die.net/man/1/sshpass)
- [nerd fonts](https://www.nerdfonts.com)

## run

`gosync [source] [target] (options)`

### options

| short | long          | description                                 |
| ----- | ------------- | ------------------------------------------- |
| -u    | --user        | set user for ssh / rsync                    |
| -p    | --password    | set password for ssh / rsync                |
| -c    | --concurrency | set limit for concurrent rsync processes    |
| -v    | --verbose     | enable verbose / debug output               |